SELECT P.PROJECT_ID,
       P.NAME
from PROJECT P
join REQUIREMENT_LIBRARY_NODE RLN on P.PROJECT_ID = RLN.PROJECT_ID
where RLN_ID in (:nodeIds)
and P.PROJECT_TYPE = 'P'
group by P.PROJECT_ID
order by P.NAME
